#pragma once
#include "dependences.h"

class Camera
{
public:
	Camera();
	~Camera();
	bool Init();
	void Translate(vec3 v);
	void Rotate(vec3 v, float angle);
	void TranslateTo(vec3 p);
	vec3 GetPosition();
	void SetPosition(vec3 v);
	glm::mat4 GetMatrix(){ return matrix; }
private:
	glm::vec3 position;
	glm::mat4 matrix;
	vec3 angleV;
};

